<?xml version="1.0" encoding="utf-8" standalone="no"?>
<xs:schema elementFormDefault="qualified" attributeFormDefault="unqualified" xmlns:D2LogicalModel="http://datex2.eu/schema/2/2_0" version="2.3" targetNamespace="http://datex2.eu/schema/2/2_0" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:complexType name="_ExtensionType">
    <xs:sequence>
      <xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="_MeasurementSiteRecordVersionedReference">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:VersionedReference">
        <xs:attribute name="targetClass" use="required" fixed="MeasurementSiteRecord" />
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="_MeasurementSiteTableVersionedReference">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:VersionedReference">
        <xs:attribute name="targetClass" use="required" fixed="MeasurementSiteTable" />
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="_SiteMeasurementsIndexMeasuredValue">
    <xs:sequence>
      <xs:element name="measuredValue" type="D2LogicalModel:MeasuredValue" minOccurs="1" maxOccurs="1" />
    </xs:sequence>
    <xs:attribute name="index" type="xs:int" use="required" />
  </xs:complexType>
  <xs:simpleType name="AngleInDegrees">
    <xs:restriction base="D2LogicalModel:NonNegativeInteger" />
  </xs:simpleType>
  <xs:complexType name="ApplicationRateValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="applicationRate" type="D2LogicalModel:IntensityKilogramsPerSquareMetre" minOccurs="1" maxOccurs="1" />
          <xs:element name="applicationRateValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="AreaOfInterestEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="continentWide" />
      <xs:enumeration value="national" />
      <xs:enumeration value="neighbouringCountries" />
      <xs:enumeration value="notSpecified" />
      <xs:enumeration value="regional" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="BasicData" abstract="true">
    <xs:sequence>
      <xs:element name="measurementOrCalculationPeriod" type="D2LogicalModel:Seconds" minOccurs="0" maxOccurs="1" />
      <xs:element name="measurementOrCalculationTime" type="D2LogicalModel:DateTime" minOccurs="0" maxOccurs="1" />
      <xs:element name="basicDataExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
    <xs:attribute name="measurementOrCalculatedTimePrecision" type="D2LogicalModel:TimePrecisionEnum" use="optional" />
  </xs:complexType>
  <xs:simpleType name="Boolean">
    <xs:restriction base="xs:boolean" />
  </xs:simpleType>
  <xs:simpleType name="ComputationMethodEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="arithmeticAverageOfSamplesBasedOnAFixedNumberOfSamples" />
      <xs:enumeration value="arithmeticAverageOfSamplesInATimePeriod" />
      <xs:enumeration value="harmonicAverageOfSamplesInATimePeriod" />
      <xs:enumeration value="medianOfSamplesInATimePeriod" />
      <xs:enumeration value="movingAverageOfSamples" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="ConcentrationKilogramsPerCubicMetre">
    <xs:restriction base="D2LogicalModel:Float" />
  </xs:simpleType>
  <xs:simpleType name="ConcentrationMicrogramsPerCubicMetre">
    <xs:restriction base="D2LogicalModel:Float" />
  </xs:simpleType>
  <xs:simpleType name="ConfidentialityValueEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="internalUse" />
      <xs:enumeration value="noRestriction" />
      <xs:enumeration value="restrictedToAuthorities" />
      <xs:enumeration value="restrictedToAuthoritiesAndTrafficOperators" />
      <xs:enumeration value="restrictedToAuthoritiesTrafficOperatorsAndPublishers" />
      <xs:enumeration value="restrictedToAuthoritiesTrafficOperatorsAndVms" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="CountryEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="at" />
      <xs:enumeration value="be" />
      <xs:enumeration value="bg" />
      <xs:enumeration value="ch" />
      <xs:enumeration value="cs" />
      <xs:enumeration value="cy" />
      <xs:enumeration value="cz" />
      <xs:enumeration value="de" />
      <xs:enumeration value="dk" />
      <xs:enumeration value="ee" />
      <xs:enumeration value="es" />
      <xs:enumeration value="fi" />
      <xs:enumeration value="fo" />
      <xs:enumeration value="fr" />
      <xs:enumeration value="gb" />
      <xs:enumeration value="gg" />
      <xs:enumeration value="gi" />
      <xs:enumeration value="gr" />
      <xs:enumeration value="hr" />
      <xs:enumeration value="hu" />
      <xs:enumeration value="ie" />
      <xs:enumeration value="im" />
      <xs:enumeration value="is" />
      <xs:enumeration value="it" />
      <xs:enumeration value="je" />
      <xs:enumeration value="li" />
      <xs:enumeration value="lt" />
      <xs:enumeration value="lu" />
      <xs:enumeration value="lv" />
      <xs:enumeration value="ma" />
      <xs:enumeration value="mc" />
      <xs:enumeration value="mk" />
      <xs:enumeration value="mt" />
      <xs:enumeration value="nl" />
      <xs:enumeration value="no" />
      <xs:enumeration value="pl" />
      <xs:enumeration value="pt" />
      <xs:enumeration value="ro" />
      <xs:enumeration value="se" />
      <xs:enumeration value="si" />
      <xs:enumeration value="sk" />
      <xs:enumeration value="sm" />
      <xs:enumeration value="tr" />
      <xs:enumeration value="va" />
      <xs:enumeration value="other" />
    </xs:restriction>
  </xs:simpleType>
  <xs:element name="d2LogicalModel" type="D2LogicalModel:D2LogicalModel" />
  <xs:complexType name="D2LogicalModel">
    <xs:sequence>
      <xs:element name="exchange" type="D2LogicalModel:Exchange" />
      <xs:element name="payloadPublication" type="D2LogicalModel:PayloadPublication" minOccurs="0" />
      <xs:element name="d2LogicalModelExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
    <xs:attribute name="modelBaseVersion" use="required" fixed="2" />
  </xs:complexType>
  <xs:complexType name="DataValue" abstract="true">
    <xs:sequence>
      <xs:element name="dataError" type="D2LogicalModel:Boolean" minOccurs="0" maxOccurs="1" />
      <xs:element name="reasonForDataError" type="D2LogicalModel:MultilingualString" minOccurs="0" maxOccurs="1" />
      <xs:element name="dataValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
    <xs:attribute name="accuracy" type="D2LogicalModel:Percentage" use="optional" />
    <xs:attribute name="computationalMethod" type="D2LogicalModel:ComputationMethodEnum" use="optional" />
    <xs:attribute name="numberOfIncompleteInputs" type="D2LogicalModel:NonNegativeInteger" use="optional" />
    <xs:attribute name="numberOfInputValuesUsed" type="D2LogicalModel:NonNegativeInteger" use="optional" />
    <xs:attribute name="smoothingFactor" type="D2LogicalModel:Float" use="optional" />
    <xs:attribute name="standardDeviation" type="D2LogicalModel:Float" use="optional" />
    <xs:attribute name="supplierCalculatedDataQuality" type="D2LogicalModel:Percentage" use="optional" />
  </xs:complexType>
  <xs:simpleType name="DateTime">
    <xs:restriction base="xs:dateTime" />
  </xs:simpleType>
  <xs:complexType name="DirectionBearingValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="directionBearing" type="D2LogicalModel:AngleInDegrees" minOccurs="1" maxOccurs="1" />
          <xs:element name="directionBearingValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="DirectionCompassEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="east" />
      <xs:enumeration value="eastNorthEast" />
      <xs:enumeration value="eastSouthEast" />
      <xs:enumeration value="north" />
      <xs:enumeration value="northEast" />
      <xs:enumeration value="northNorthEast" />
      <xs:enumeration value="northNorthWest" />
      <xs:enumeration value="northWest" />
      <xs:enumeration value="south" />
      <xs:enumeration value="southEast" />
      <xs:enumeration value="southSouthEast" />
      <xs:enumeration value="southSouthWest" />
      <xs:enumeration value="southWest" />
      <xs:enumeration value="west" />
      <xs:enumeration value="westNorthWest" />
      <xs:enumeration value="westSouthWest" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="DirectionCompassValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="directionCompass" type="D2LogicalModel:DirectionCompassEnum" minOccurs="1" maxOccurs="1" />
          <xs:element name="directionCompassValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="ElaboratedDataFault">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:Fault">
        <xs:sequence>
          <xs:element name="elaboratedDataFault" type="D2LogicalModel:ElaboratedDataFaultEnum" minOccurs="1" maxOccurs="1" />
          <xs:element name="elaboratedDataFaultExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="ElaboratedDataFaultEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="intermittentDataValues" />
      <xs:enumeration value="noDataValuesAvailable" />
      <xs:enumeration value="spuriousUnreliableDataValues" />
      <xs:enumeration value="unspecifiedOrUnknownFault" />
      <xs:enumeration value="other" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="Exchange">
    <xs:sequence>
      <xs:element name="supplierIdentification" type="D2LogicalModel:InternationalIdentifier" />
      <xs:element name="exchangeExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="Fault">
    <xs:sequence>
      <xs:element name="faultIdentifier" type="D2LogicalModel:String" minOccurs="0" maxOccurs="1" />
      <xs:element name="faultDescription" type="D2LogicalModel:String" minOccurs="0" maxOccurs="1" />
      <xs:element name="faultCreationTime" type="D2LogicalModel:DateTime" minOccurs="0" maxOccurs="1" />
      <xs:element name="faultLastUpdateTime" type="D2LogicalModel:DateTime" minOccurs="1" maxOccurs="1" />
      <xs:element name="faultSeverity" type="D2LogicalModel:FaultSeverityEnum" minOccurs="0" maxOccurs="1" />
      <xs:element name="faultExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:simpleType name="FaultSeverityEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="low" />
      <xs:enumeration value="medium" />
      <xs:enumeration value="high" />
      <xs:enumeration value="unknown" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Float">
    <xs:restriction base="xs:float" />
  </xs:simpleType>
  <xs:complexType name="FloatingPointMetreDistanceValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="floatingPointMetreDistance" type="D2LogicalModel:MetresAsFloat" minOccurs="1" maxOccurs="1" />
          <xs:element name="floatingPointMetreDistanceValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="HeaderInformation">
    <xs:sequence>
      <xs:element name="areaOfInterest" type="D2LogicalModel:AreaOfInterestEnum" minOccurs="0" maxOccurs="1" />
      <xs:element name="confidentiality" type="D2LogicalModel:ConfidentialityValueEnum" minOccurs="1" maxOccurs="1" />
      <xs:element name="informationStatus" type="D2LogicalModel:InformationStatusEnum" minOccurs="1" maxOccurs="1" />
      <xs:element name="urgency" type="D2LogicalModel:UrgencyEnum" minOccurs="0" maxOccurs="1" />
      <xs:element name="headerInformationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="Humidity">
    <xs:sequence>
      <xs:element name="relativeHumidity" type="D2LogicalModel:PercentageValue" />
      <xs:element name="humidityExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="HumidityInformation">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:WeatherData">
        <xs:sequence>
          <xs:element name="humidity" type="D2LogicalModel:Humidity" />
          <xs:element name="humidityInformationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="InformationStatusEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="real" />
      <xs:enumeration value="securityExercise" />
      <xs:enumeration value="technicalExercise" />
      <xs:enumeration value="test" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Integer">
    <xs:restriction base="xs:integer" />
  </xs:simpleType>
  <xs:complexType name="IntegerMetreDistanceValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="integerMetreDistance" type="D2LogicalModel:MetresAsNonNegativeInteger" minOccurs="1" maxOccurs="1" />
          <xs:element name="integerMetreDistanceValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="IntensityKilogramsPerSquareMetre">
    <xs:restriction base="D2LogicalModel:Float" />
  </xs:simpleType>
  <xs:simpleType name="IntensityMillimetresPerHour">
    <xs:restriction base="D2LogicalModel:Float" />
  </xs:simpleType>
  <xs:complexType name="InternationalIdentifier">
    <xs:sequence>
      <xs:element name="country" type="D2LogicalModel:CountryEnum" minOccurs="1" maxOccurs="1" />
      <xs:element name="nationalIdentifier" type="D2LogicalModel:String" minOccurs="1" maxOccurs="1" />
      <xs:element name="internationalIdentifierExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="KilogramsConcentrationValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="kilogramsConcentration" type="D2LogicalModel:ConcentrationKilogramsPerCubicMetre" minOccurs="1" maxOccurs="1" />
          <xs:element name="kilogramsConcentrationValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="KilometresPerHour">
    <xs:restriction base="D2LogicalModel:Float" />
  </xs:simpleType>
  <xs:simpleType name="LaneEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="allLanesCompleteCarriageway" />
      <xs:enumeration value="busLane" />
      <xs:enumeration value="busStop" />
      <xs:enumeration value="carPoolLane" />
      <xs:enumeration value="centralReservation" />
      <xs:enumeration value="crawlerLane" />
      <xs:enumeration value="emergencyLane" />
      <xs:enumeration value="escapeLane" />
      <xs:enumeration value="expressLane" />
      <xs:enumeration value="hardShoulder" />
      <xs:enumeration value="heavyVehicleLane" />
      <xs:enumeration value="lane1" />
      <xs:enumeration value="lane2" />
      <xs:enumeration value="lane3" />
      <xs:enumeration value="lane4" />
      <xs:enumeration value="lane5" />
      <xs:enumeration value="lane6" />
      <xs:enumeration value="lane7" />
      <xs:enumeration value="lane8" />
      <xs:enumeration value="lane9" />
      <xs:enumeration value="layBy" />
      <xs:enumeration value="leftHandTurningLane" />
      <xs:enumeration value="leftLane" />
      <xs:enumeration value="localTrafficLane" />
      <xs:enumeration value="middleLane" />
      <xs:enumeration value="opposingLanes" />
      <xs:enumeration value="overtakingLane" />
      <xs:enumeration value="rightHandTurningLane" />
      <xs:enumeration value="rightLane" />
      <xs:enumeration value="rushHourLane" />
      <xs:enumeration value="setDownArea" />
      <xs:enumeration value="slowVehicleLane" />
      <xs:enumeration value="throughTrafficLane" />
      <xs:enumeration value="tidalFlowLane" />
      <xs:enumeration value="turningLane" />
      <xs:enumeration value="verge" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Language">
    <xs:restriction base="xs:language" />
  </xs:simpleType>
  <xs:complexType name="LocationCharacteristicsOverride">
    <xs:sequence>
      <xs:element name="measurementLanesOverride" type="D2LogicalModel:LaneEnum" minOccurs="0" maxOccurs="1" />
      <xs:element name="reversedFlow" type="D2LogicalModel:Boolean" minOccurs="0" maxOccurs="1" />
      <xs:element name="locationCharacteristicsOverrideExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="MeasuredDataPublication">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:PayloadPublication">
        <xs:sequence>
          <xs:element name="measurementSiteTableReference" type="D2LogicalModel:_MeasurementSiteTableVersionedReference" minOccurs="1" maxOccurs="1" />
          <xs:element name="headerInformation" type="D2LogicalModel:HeaderInformation" />
          <xs:element name="siteMeasurements" type="D2LogicalModel:SiteMeasurements" maxOccurs="unbounded" />
          <xs:element name="measuredDataPublicationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="MeasuredValue">
    <xs:sequence>
      <xs:element name="measurementEquipmentTypeUsed" type="D2LogicalModel:MultilingualString" minOccurs="0" maxOccurs="1" />
      <xs:element name="locationCharacteristicsOverride" type="D2LogicalModel:LocationCharacteristicsOverride" minOccurs="0" />
      <xs:element name="measurementEquipmentFault" type="D2LogicalModel:MeasurementEquipmentFault" minOccurs="0" maxOccurs="unbounded" />
      <xs:element name="basicData" type="D2LogicalModel:BasicData" minOccurs="0" />
      <xs:element name="measuredValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="MeasurementEquipmentFault">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:Fault">
        <xs:sequence>
          <xs:element name="measurementEquipmentFault" type="D2LogicalModel:MeasurementEquipmentFaultEnum" minOccurs="1" maxOccurs="1" />
          <xs:element name="measurementEquipmentFaultExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="MeasurementEquipmentFaultEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="intermittentDataValues" />
      <xs:enumeration value="noDataValuesAvailable" />
      <xs:enumeration value="spuriousUnreliableDataValues" />
      <xs:enumeration value="unspecifiedOrUnknownFault" />
      <xs:enumeration value="other" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="MetresAsFloat">
    <xs:restriction base="D2LogicalModel:Float" />
  </xs:simpleType>
  <xs:simpleType name="MetresAsNonNegativeInteger">
    <xs:restriction base="D2LogicalModel:NonNegativeInteger" />
  </xs:simpleType>
  <xs:complexType name="MicrogramsConcentrationValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="microgramsConcentration" type="D2LogicalModel:ConcentrationMicrogramsPerCubicMetre" minOccurs="1" maxOccurs="1" />
          <xs:element name="microgramsConcentrationValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="MultilingualString">
    <xs:sequence>
      <xs:element name="values">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="value" type="D2LogicalModel:MultilingualStringValue" maxOccurs="unbounded" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="MultilingualStringValue">
    <xs:simpleContent>
      <xs:extension base="D2LogicalModel:MultilingualStringValueType">
        <xs:attribute name="lang" type="xs:language" />
      </xs:extension>
    </xs:simpleContent>
  </xs:complexType>
  <xs:simpleType name="MultilingualStringValueType">
    <xs:restriction base="xs:string">
      <xs:maxLength value="1024" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="NonNegativeInteger">
    <xs:restriction base="xs:nonNegativeInteger" />
  </xs:simpleType>
  <xs:complexType name="OccupancyChangeValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="occupancyChange" type="D2LogicalModel:Integer" minOccurs="1" maxOccurs="1" />
          <xs:element name="occupancyChangeValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="PayloadPublication" abstract="true">
    <xs:sequence>
      <xs:element name="feedType" type="D2LogicalModel:String" minOccurs="0" maxOccurs="1" />
      <xs:element name="publicationTime" type="D2LogicalModel:DateTime" minOccurs="1" maxOccurs="1" />
      <xs:element name="publicationCreator" type="D2LogicalModel:InternationalIdentifier" />
      <xs:element name="payloadPublicationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
    <xs:attribute name="lang" type="D2LogicalModel:Language" use="required" />
  </xs:complexType>
  <xs:simpleType name="Percentage">
    <xs:restriction base="D2LogicalModel:Float" />
  </xs:simpleType>
  <xs:complexType name="PercentageValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="percentage" type="D2LogicalModel:Percentage" minOccurs="1" maxOccurs="1" />
          <xs:element name="percentageValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="PollutantTypeEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="benzeneTolueneXylene" />
      <xs:enumeration value="carbonMonoxide" />
      <xs:enumeration value="lead" />
      <xs:enumeration value="methane" />
      <xs:enumeration value="nitricOxide" />
      <xs:enumeration value="nitrogenDioxide" />
      <xs:enumeration value="nitrogenMonoxide" />
      <xs:enumeration value="nitrogenOxides" />
      <xs:enumeration value="nonMethaneHydrocarbons" />
      <xs:enumeration value="ozone" />
      <xs:enumeration value="particulates10" />
      <xs:enumeration value="polycyclicAromaticHydrocarbons" />
      <xs:enumeration value="primaryParticulate" />
      <xs:enumeration value="sulphurDioxide" />
      <xs:enumeration value="totalHydrocarbons" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="Pollution">
    <xs:sequence>
      <xs:element name="pollutantType" type="D2LogicalModel:PollutantTypeEnum" minOccurs="1" maxOccurs="1" />
      <xs:element name="pollutantConcentration" type="D2LogicalModel:MicrogramsConcentrationValue" minOccurs="0" />
      <xs:element name="pollutionExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="PollutionInformation">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:WeatherData">
        <xs:sequence>
          <xs:element name="pollution" type="D2LogicalModel:Pollution" maxOccurs="unbounded" />
          <xs:element name="pollutionInformationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="PrecipitationDetail">
    <xs:sequence>
      <xs:element name="precipitationType" type="D2LogicalModel:PrecipitationTypeEnum" minOccurs="0" maxOccurs="1" />
      <xs:element name="precipitationIntensity" type="D2LogicalModel:PrecipitationIntensityValue" minOccurs="0" />
      <xs:element name="depositionDepth" type="D2LogicalModel:FloatingPointMetreDistanceValue" minOccurs="0" />
      <xs:element name="precipitationDetailExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="PrecipitationInformation">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:WeatherData">
        <xs:sequence>
          <xs:element name="noPrecipitation" type="D2LogicalModel:Boolean" minOccurs="0" maxOccurs="1" />
          <xs:element name="precipitationDetail" type="D2LogicalModel:PrecipitationDetail" minOccurs="0" />
          <xs:element name="precipitationInformationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="PrecipitationIntensityValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="millimetresPerHourIntensity" type="D2LogicalModel:IntensityMillimetresPerHour" minOccurs="1" maxOccurs="1" />
          <xs:element name="precipitationIntensityValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="PrecipitationTypeEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="drizzle" />
      <xs:enumeration value="freezingRain" />
      <xs:enumeration value="hail" />
      <xs:enumeration value="rain" />
      <xs:enumeration value="sleet" />
      <xs:enumeration value="snow" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="RoadSurfaceConditionInformation">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:WeatherData">
        <xs:sequence>
          <xs:element name="weatherRelatedRoadConditionType" type="D2LogicalModel:WeatherRelatedRoadConditionTypeEnum" minOccurs="0" maxOccurs="unbounded" />
          <xs:element name="roadSurfaceConditionMeasurements" type="D2LogicalModel:RoadSurfaceConditionMeasurements" />
          <xs:element name="roadSurfaceConditionInformationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="RoadSurfaceConditionMeasurements">
    <xs:sequence>
      <xs:element name="roadSurfaceTemperature" type="D2LogicalModel:TemperatureValue" minOccurs="0" />
      <xs:element name="protectionTemperature" type="D2LogicalModel:TemperatureValue" minOccurs="0" />
      <xs:element name="deIcingApplicationRate" type="D2LogicalModel:ApplicationRateValue" minOccurs="0" />
      <xs:element name="deIcingConcentration" type="D2LogicalModel:KilogramsConcentrationValue" minOccurs="0" />
      <xs:element name="depthOfSnow" type="D2LogicalModel:FloatingPointMetreDistanceValue" minOccurs="0" />
      <xs:element name="waterFilmThickness" type="D2LogicalModel:FloatingPointMetreDistanceValue" minOccurs="0" />
      <xs:element name="roadSurfaceConditionMeasurementsExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:simpleType name="Seconds">
    <xs:restriction base="D2LogicalModel:Float" />
  </xs:simpleType>
  <xs:complexType name="SiteMeasurements">
    <xs:sequence>
      <xs:element name="measurementSiteReference" type="D2LogicalModel:_MeasurementSiteRecordVersionedReference" minOccurs="1" maxOccurs="1" />
      <xs:element name="measurementTimeDefault" type="D2LogicalModel:DateTime" minOccurs="1" maxOccurs="1" />
      <xs:element name="measuredValue" type="D2LogicalModel:_SiteMeasurementsIndexMeasuredValue" minOccurs="0" maxOccurs="unbounded" />
      <xs:element name="siteMeasurementsExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="SpeedValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="speed" type="D2LogicalModel:KilometresPerHour" minOccurs="1" maxOccurs="1" />
          <xs:element name="speedValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="String">
    <xs:restriction base="xs:string">
      <xs:maxLength value="1024" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="Temperature">
    <xs:sequence>
      <xs:element name="airTemperature" type="D2LogicalModel:TemperatureValue" minOccurs="0" />
      <xs:element name="dewPointTemperature" type="D2LogicalModel:TemperatureValue" minOccurs="0" />
      <xs:element name="maximumTemperature" type="D2LogicalModel:TemperatureValue" minOccurs="0" />
      <xs:element name="minimumTemperature" type="D2LogicalModel:TemperatureValue" minOccurs="0" />
      <xs:element name="temperatureExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:simpleType name="TemperatureCelsius">
    <xs:restriction base="D2LogicalModel:Float" />
  </xs:simpleType>
  <xs:complexType name="TemperatureInformation">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:WeatherData">
        <xs:sequence>
          <xs:element name="temperature" type="D2LogicalModel:Temperature" />
          <xs:element name="temperatureInformationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="TemperatureValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="temperature" type="D2LogicalModel:TemperatureCelsius" minOccurs="1" maxOccurs="1" />
          <xs:element name="temperatureValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="TimePrecisionEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="tenthsOfSecond" />
      <xs:enumeration value="second" />
      <xs:enumeration value="minute" />
      <xs:enumeration value="quarterHour" />
      <xs:enumeration value="halfHour" />
      <xs:enumeration value="hour" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="UrgencyEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="extremelyUrgent" />
      <xs:enumeration value="urgent" />
      <xs:enumeration value="normalUrgency" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="VehicleCountValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="vehicleCount" type="D2LogicalModel:NonNegativeInteger" minOccurs="1" maxOccurs="1" />
          <xs:element name="vehicleCountValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="VersionedReference">
    <xs:attribute name="id" type="xs:string" use="required" />
    <xs:attribute name="version" type="xs:string" use="required" />
  </xs:complexType>
  <xs:complexType name="Visibility">
    <xs:sequence>
      <xs:element name="minimumVisibilityDistance" type="D2LogicalModel:IntegerMetreDistanceValue" />
      <xs:element name="visibilityExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="VisibilityInformation">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:WeatherData">
        <xs:sequence>
          <xs:element name="visibility" type="D2LogicalModel:Visibility" />
          <xs:element name="visibilityInformationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="VmsFault">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:Fault">
        <xs:sequence>
          <xs:element name="vmsFault" type="D2LogicalModel:VmsFaultEnum" minOccurs="1" maxOccurs="1" />
          <xs:element name="vmsFaultExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="VmsFaultEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="communicationsFailure" />
      <xs:enumeration value="incorrectMessageDisplayed" />
      <xs:enumeration value="incorrectPictogramDisplayed" />
      <xs:enumeration value="outOfService" />
      <xs:enumeration value="powerFailure" />
      <xs:enumeration value="unableToClearDown" />
      <xs:enumeration value="unknown" />
      <xs:enumeration value="other" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="VmsUnitFault">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:Fault">
        <xs:sequence>
          <xs:element name="vmsUnitFault" type="D2LogicalModel:VmsFaultEnum" minOccurs="1" maxOccurs="1" />
          <xs:element name="vmsUnitFaultExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="WeatherData" abstract="true">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:BasicData">
        <xs:sequence>
          <xs:element name="weatherDataExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="WeatherRelatedRoadConditionTypeEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="blackIce" />
      <xs:enumeration value="deepSnow" />
      <xs:enumeration value="dry" />
      <xs:enumeration value="freezingOfWetRoads" />
      <xs:enumeration value="freezingPavements" />
      <xs:enumeration value="freezingRain" />
      <xs:enumeration value="freshSnow" />
      <xs:enumeration value="ice" />
      <xs:enumeration value="iceBuildUp" />
      <xs:enumeration value="iceWithWheelBarTracks" />
      <xs:enumeration value="icyPatches" />
      <xs:enumeration value="looseSnow" />
      <xs:enumeration value="normalWinterConditionsForPedestrians" />
      <xs:enumeration value="packedSnow" />
      <xs:enumeration value="roadSurfaceMelting" />
      <xs:enumeration value="slipperyRoad" />
      <xs:enumeration value="slushOnRoad" />
      <xs:enumeration value="slushStrings" />
      <xs:enumeration value="snowDrifts" />
      <xs:enumeration value="snowOnPavement" />
      <xs:enumeration value="snowOnTheRoad" />
      <xs:enumeration value="surfaceWater" />
      <xs:enumeration value="wet" />
      <xs:enumeration value="wetAndIcyRoad" />
      <xs:enumeration value="wetIcyPavement" />
      <xs:enumeration value="other" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="Wind">
    <xs:sequence>
      <xs:element name="windMeasurementHeight" type="D2LogicalModel:MetresAsNonNegativeInteger" minOccurs="0" maxOccurs="1" />
      <xs:element name="windSpeed" type="D2LogicalModel:SpeedValue" minOccurs="0" />
      <xs:element name="maximumWindSpeed" type="D2LogicalModel:SpeedValue" minOccurs="0" />
      <xs:element name="windDirectionBearing" type="D2LogicalModel:DirectionBearingValue" minOccurs="0" />
      <xs:element name="windDirectionCompass" type="D2LogicalModel:DirectionCompassValue" minOccurs="0" />
      <xs:element name="windExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="WindInformation">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:WeatherData">
        <xs:sequence>
          <xs:element name="wind" type="D2LogicalModel:Wind" />
          <xs:element name="windInformationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
</xs:schema>